Bug 864891 - Abrt should inform user that it will append comment to existing bug
Abrt should inform user that it will append comment to existing bug
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
18
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
:
: 875233 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 06:52 EDT by David Kutálek
Modified: 2014-02-05 17:49 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:49:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kutálek 2012-10-10 06:52:51 EDT
Description of problem:

Abrt does not tell user that it will just append new comment to existing bugzilla bug. Therefore comment written by user looks strange in bug comments history and probably won't make sense. 

Abrt should:
1) tell user that it will append to existing bug,
2) give him url so he can read existing comments,
2) probably use appropriate wording at beginning of the comment, so the comment looks eg. like:

User dkutalek also experienced this bug:
I was just browsing files in home dir with Nautilus when this crash appeared.

Version-Release number of selected component (if applicable):

abrt-2.0.13-1.fc18
libreport-2.0.14-1.fc18

How reproducible:

Always

Steps to Reproduce:
1. Try to report some already reported problem
2. See how is/isn't user informed...
3.
  
Actual results:

User is not informed about appending comment to bug, may send to comment text which does not make sense when reading through comments of that bug.

Expected results:

User informed, with link to existing bug, bugzilla comment starting with some sane header.

Additional info:

For specific example please ask rbiba@redhat.com
Comment 2 Denys Vlasenko 2013-09-02 06:16:45 EDT
Patch sent to ML:

From 92c91516d5b4eea75e423a88dc651a4febd5a067 Mon Sep 17 00:00:00 2001
From: Denys Vlasenko <dvlasenk@redhat.com>
Date: Mon, 2 Sep 2013 12:02:42 +0200
Subject: [LIBREPORT PATCH] bugzilla_formatdup*.conf: clearly flag comment as a dup.
Comment 3 Jiri Moskovcak 2013-09-19 07:17:56 EDT
(In reply to Denys Vlasenko from comment #2)
> Patch sent to ML:
> 
> From 92c91516d5b4eea75e423a88dc651a4febd5a067 Mon Sep 17 00:00:00 2001
> From: Denys Vlasenko <dvlasenk@redhat.com>
> Date: Mon, 2 Sep 2013 12:02:42 +0200
> Subject: [LIBREPORT PATCH] bugzilla_formatdup*.conf: clearly flag comment as
> a dup.

This patch doesn't fix the 864891, the request clearly says:

1) tell user that it will append to existing bug,
2) give him url so he can read existing comments,
3) probably use appropriate wording at beginning of the comment, so the comment looks eg. like:

and this patch fixes only the 3rd part.
Comment 4 Denys Vlasenko 2013-11-04 11:16:20 EST
With the patch, the log in GUI looks like this:

"""
--- Running report_Bugzilla ---
Logging into Bugzilla at https://bugzilla.redhat.com
Checking for duplicates
Bug is already reported: 1026386
Adding new comment to bug 1026386
Logging out
Status: NEW https://bugzilla.redhat.com/show_bug.cgi?id=1026386
"""

and the comment added to the bug looks like this:

"""
Another user experienced a similar problem:

<comment fields goes here>

reporter:       libreport-2.1.9.9.gdef1.dirty
backtrace_rating: 4
cmdline:        will_segfault
crash_function: main
executable:     /usr/bin/will_segfault
kernel:         3.10.11-100.fc18.x86_64
package:        will-crash-0.4-1.fc18
reason:         will_segfault killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
"""



1) tell user that it will append to existing bug,
2) give him url so he can read existing comments,
3) probably use appropriate wording at beginning of the comment, so the comment looks eg. like:

I think the patch addresses (3) well enough.
As to (1) and (2), as it stands now, the problems are:
* we walk the user through reporting procedure before saying that we see a dup BZ.
  Because of this, user can't go to the dup BZ and read comments before reporting.
* the messages about report being a dup merely go to log. Is this visible enough?

I am thinking on this situation.

Meanwhile, I am going to submit the patch upstream.
Comment 5 Denys Vlasenko 2013-11-05 07:02:37 EST
*** Bug 875233 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2013-12-21 10:08:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 17:49:56 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.